<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8">
<title>Add user</title>
<style>
table {
  border-collapse: collapse;
}
.col_title {width:200px;}
.col_data {width:400px;}
form {display: inline;}
</style>
</head>
<body>
<h1>ユーザー登録</h1>
<form method="post" th:action="@{/userCreate}" th:object="${registForm}">
<input type="hidden" name="userId" th:value="*{userId}">
	<table border="1">
		<tr>
			<th class="col_title">ユーザー名</th>
			<td class="col_data"><input type="text" name="username" th:value="*{username}" size="60" maxlength="60" /></td>
		</tr>
		<tr>
			<th>パスワード</th>
			<td><input type="password" name="encodedPassword" th:value="*{encodedPassword}" size="60" maxlength="60" /></td>
		</tr>
	</table>
<hr>
<input type="submit" value="登　録" />
</form>
<form action="/">
    <input type="submit" value="キャンセル" />
</form>

<table border="1">
    <tr>
        <th class="col_username">ユーザー名</th>
        <th class="col_password">パスワード</th>
    </tr>
    <tr th:each="obj : ${data}">
        <td th:text="${obj.username}"></td>
        <td th:text="${obj.encodedPassword}"></td>
    </tr>
</table>

</body>
</html>